###############################################################################
#
# file:     __init__.py
#
# Purpose:  refer to python doc for documentation details.
#
# Note:     This file is part of Termsaver application, and should not be used
#           or executed separately.
#
###############################################################################
#
# Copyright 2012 Termsaver
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may
# not use this file except in compliance with the License. You may obtain
# a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations
# under the License.
#
###############################################################################
"""
This module holds all stuff required for termsaver application to work properly

The modules available in this package are:

    * `common`: helper functions used by termsaver code

    * `constants`: series of configuration constants used by termsaver code

    * `exceptions`: various exceptions classes to handle termsaver errors

    * `i18n`: handles internationalization for termsaver application

This also contains the following sub-packages:

    * `screen`: holds all screens accessible by termsaver application. Also
      holds base and helper classes to ease the implementation of new screens.
"""
